Subject: bug#54105: closed (Re: [PATCH] build-system/go: Use different default go on powerpc-linux.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 27 Dec 2024 11:16:02 +0000

Your bug report

#54105: [PATCH] build-system/go: Use different default go on powerpc-linux.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54105: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=54105
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] build-system/go: Use different default go on powerpc-linux.
From: Efraim Flashner <[email-masked]>
To: Sharlatan Hellseher <[email-masked]>
Cc: [email-masked]
Date: Fri, 27 Dec 2024 13:13:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Sep 12, 2024 at 03:43:21PM +0100, Sharlatan Hellseher wrote:
> 
> Hi Efraim,
> 
> Is this patch still actually to be applied?

I'm going to go with no. I have my powerpc machine back up and building,
but I haven't tested this patch out again.

It looks like instead of this patch I went with one that added a
default-gccgo, and then set 'go' in the build system depending on
"(if (supported-package? (default-go))".  I think it falls over quickly
for cross-building (and for packages which don't build with go-18),
but that is a different issue.

Thanks for following up on one of my (many) forgotten patches!

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH] build-system/go: Use different default go on powerpc-linux.
From: Efraim Flashner <[email-masked]>
To: [email-masked]
Cc: Efraim Flashner <[email-masked]>
Date: Tue, 22 Feb 2022 13:08:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* guix/build-system/go.scm (default-go): Return a different package
based on the target architecture.
---
 guix/build-system/go.scm | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/guix/build-system/go.scm b/guix/build-system/go.scm
index 5e0e5bbad3..8330d3aa8e 100644
--- a/guix/build-system/go.scm
+++ b/guix/build-system/go.scm
@@ -3,7 +3,7 @@
 ;;; Copyright © 2017 Leo Famulari <[email-masked]>
 ;;; Copyright © 2020 Jakub Kądziołka <[email-masked]>
 ;;; Copyright © 2021-2022 Ludovic Courtès <[email-masked]>
-;;; Copyright © 2021 Efraim Flashner <[email-masked]>
+;;; Copyright © 2021, 2022 Efraim Flashner <[email-masked]>
 ;;; Copyright © 2021 Sarah Morgensen <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
@@ -110,8 +110,11 @@ (define %go-build-system-modules
 
 (define (default-go)
   ;; Lazily resolve the binding to avoid a circular dependency.
-  (let ((go (resolve-interface '(gnu packages golang))))
-    (module-ref go 'go)))
+  (let ((gcc    (resolve-interface '(gnu packages gcc)))
+        (golang (resolve-interface '(gnu packages golang))))
+    (if (target-ppc32?)
+      (module-ref gcc 'gccgo-11)
+      (module-ref golang 'go))))
 
 (define (make-go-std)
   (module-ref (resolve-interface '(gnu packages golang)) 'make-go-std))

base-commit: 7d72da6b07e99854751187d2694b067733fedda5
prerequisite-patch-id: 861786541b1231efceea28ba4d80d00c000a1b5e
prerequisite-patch-id: 7926cb990933a395cef6672939d171f8cd384170
-- 
2.34.0